import { select } from 'd3';

export const main = (container) => {
  const svg = select(container)
    .selectAll('svg')
    .data([1])
    .join('svg')
    .attr('width', container.clientWidth)
    .attr('height', container.clientHeight)
    .style('background', '#b9d4e4');

  const data = [
    { x: 227, y: 133, fill: '#f038f0', r: 70 },
    { x: 447, y: 218, fill: '#3d7af5', r: 159 },
    { x: 651, y: 125, fill: '#1FE540', r: 71 },
    { x: 584, y: 333, fill: '#c4db0f', r: 75 },
    { x: 247, y: 298, fill: '#d82c0e', r: 52 },
  ];

  svg
    .selectAll('circle')
    .data(data)
    .join('circle')
    .attr('cx', (d) => d.x)
    .attr('cy', (d) => d.y)
    .attr('r', (d) => d.r)
    .attr('fill', (d) => d.fill)
    .attr('opacity', 800 / 1000);
};
